/***************************************************************************
                          knewdirdialog.cpp  -  description
                             -------------------
    begin                : Mon Sep 8 2003
    copyright            : (C) 2003 by Klemens Meyer
    email                : klesmen@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "knewdirdialog.h"
#include <kpushbutton.h>
#include <klineeditdlg.h>
#include <klocale.h>
#include <qlayout.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>
#include <kmessagebox.h>



KNewDirDialog::KNewDirDialog(const QString &startDir, bool localOnly, QWidget *parent, const char *nam, bool modal)
	: KDirSelectDialog(startDir, localOnly, parent, nam, modal)
{
	QWidget*		base	= mainWidget();
	KPushButton*	create	= new KPushButton(i18n("Create New Directory..."), base, "createdir");

	m_mainLayout->addWidget(create);

	connect(create, SIGNAL(clicked()), this, SLOT(newDir()));
}

KNewDirDialog::~KNewDirDialog()
{
}

/** Creates a new directory */
void KNewDirDialog::newDir()
{
	QString	msg	= i18n("Insert a new directory-name\nIt will be created as a subdirectory of:\n") + url().path();
	bool	ok;

	QString	ndir	= KLineEditDlg::getText(msg, QString::null, &ok, this);

	if(ok)
	{
		ndir	= url().path() + '/' + ndir;
		mkdir(ndir.ascii(), 0755);

		KURL	npath	= KURL::fromPathOrURL(ndir + '/');

		if(!npath.isValid())
			KMessageBox::error(this, i18n("The URL ") + npath.path() + i18n(" is invalid"));

		setCurrentURL(npath);
	}
}
