/***************************************************************************
                          kqadialog.h  -  description
                             -------------------
    begin                : Sam Aug 23 2003
    copyright            : (C) 2003 by Klemens Meyer
    email                : klesmen@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KQADIALOG_H
#define KQADIALOG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include <ktextedit.h>
#include <qhbuttongroup.h>
#include <kpushbutton.h>
#include <kstatusbar.h>
#include <qcheckbox.h>
#include "memaid/memaid.h"


/**Dialog for input/correction of new elements
  *@author Klemens Meyer
  */

class KQADialog : public KDialogBase
{
   Q_OBJECT
public:

	KQADialog(bool adding, const QString& caption, QWidget *parent=0, const char *name=0, elem* el = NULL);
	~KQADialog();

private:

	void Init();

private:

	KStatusBar*		statusBar;
	KTextEdit*		question;
	KTextEdit*		answer;
	QCheckBox*		viceversa;
	QHButtonGroup*	grades;
	KPushButton*	fcbutton;
	int				ngrade;
	elem*			element;
	bool			corr_close;

signals: // Signals
  /** No descriptions */
  void newQuestion(const QString& question, const QString& answer, int grade);
public slots: // Public slots
  /** Select the new Grade */
  void newGrade(int grade);
  /** Finding and correcting of elements */
  void findCorrect();
  /** Setting the Font for the input-fields */
  void setFonts(const QFont& q, const QFont& a);
//Del by KDevelop: 
};

#endif
