/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Don Aug 21 12:20:37 CEST 2003
    copyright            : (C) 2003 by Klemens Meyer
    email                : klesmen@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kmemaid.h"

static const char *description =
	I18N_NOOP("kMemAid is like a traditional flashcard program to help you memorize\n"
              "question/answer pairs, but with an important twist: it uses a neural\n"
              "network to schedule the best time for an item to come up for review.\n"
              "Difficult items that you tend to forget quickly will be scheduled more\n"
              "often, while MemAid won't waste your time on things you remember well.\n"
              "This means that your learning process becomes much more efficient, because\n"
              "the neural network gradually adapts to your personal memory model.");
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "kmemaid", I18N_NOOP("KMemAid"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2003, David Calinski / Klemens Meyer", 0, 0, "memaid@neodave.civ.pl");
	aboutData.addAuthor("David Calinski", 0, "memaid@neodave.civ.pl", "www.neodave.civ.pl/memaid");
	aboutData.addAuthor("Klemens Meyer",0, "klesmen@t-online.de");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(KMemAidApp);
  }
  else 
  {
    KMemAidApp *kmemaid = new KMemAidApp();
    kmemaid->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
        kmemaid->openDocumentFile(args->arg(0));
		}
		else
		{
		  kmemaid->openDocumentFile();
		}
		args->clear();
  }

  return app.exec();
}  
